#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0x86,0x51,0x61,0xC6,0xAD,0xC2,0x66,0x5A,0x45,0xA0,0x87,0x60,
		0x62,0x85,0x59,0x2E,0x67,0x0E,0x0B,0xEB,0x5D,0xD0,0x9A,0x26,
		0xFB,0xE6,0x8A,0xCF,0x69,0xBC,0xF8,0x79,0xF6,0xD9,0x7B,0xCD,
		0x66,0xFD,0xC6,0x81,0x60,0x9B,0x7B,0x89,0xE3,0x66,0x36,0x45,
		0xC6,0x14,0xC7,0xEA,0x41,0x0C,0xDB,0x98,0xEF,0x63,0x6B,0xA6,
		0x91,0x60,0xF0,0x43,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
